MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023551Open CASCADE[OCCT] OCCT:Samplespublic2012-11-13 19:272017-09-29 16:24
Reporterabv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0023551: Move data models contained in samples subfolder of OCCT repository to common data folder
DescriptionCurrently OCCT repsotory contains some data files in subfolders of samples directory, which partially duplicate the shapes located in $CASROOT/data:

$CASROOT/samples/mfc/occtdemo/Data
$CASROOT/samples/mfc/standard/01_Geometry/Data
$CASROOT/samples/mfc/standard/03_Viewer2d/data
$CASROOT/samples/mfc/standard/04_Viewer3d/Data
$CASROOT/samples/mfc/standard/09_Animation/data
$CASROOT/samples/mfc/standard/Data

It is proposed to move all these data files to $CASROOT/data
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0034449)
git (administrator)
2014-11-17 13:09

Branch CR23551 has been created by ski.

SHA-1: 85e733cb2b6fc3830a71d8f84f77db5b8cc52c52


Detailed log of new commits:

Author: ski
Date: Thu Nov 6 12:39:12 2014 +0300

    0023551: Move data models contained in samples subfolder of OCCT repository to common data folder
    
    Data files from mfc samples were moved to $CASROOT/data directory.
(0034451)
ski (developer)
2014-11-17 13:16

Data files from mfc/standard samples were moved to $CASROOT/data directory.

Sample mfc/occtdemo was unchanged, as it was discussed with INV.

Please, review.
(0063162)
git (administrator)
2017-01-29 08:30

Branch CR23551_1 has been created by abv.

SHA-1: a521a102e7c02a93381eb9028d3505164218ddc2


Detailed log of new commits:

Author: ski
Date: Thu Nov 6 12:39:12 2014 +0300

    0023551: Move data models contained in samples subfolder of OCCT repository to common data folder
    
    Data files from mfc samples were moved to $CASROOT/data directory.
(0063163)
abv (manager)
2017-01-29 08:32

I have rebased the patch on CR27732_2, see branch CR23551_1. Please check usability and functionality of samples, if it is not worse than in master, integrate the patch.
(0063298)
apv (tester)
2017-02-01 15:01

Dear BugMaster,

Branch CR23551_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: a521a102e7c02a93381eb9028d3505164218ddc2

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1142

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91664725 / 92311310 [-0.70%]
Total CPU difference: 19711.550000000152 / 19914.170000000217 [-1.02%]

Testing on Windows:
Total MEMORY difference: 57618402 / 57618048 [+0.00%]
Total CPU difference: 17599.892419098716 / 18683.178963198647 [-5.80%]
(0063299)
apv (tester)
2017-02-01 15:02

MFC samples have been manually tested. Problems have not been detected.
(0063580)
git (administrator)
2017-02-08 11:35

Branch CR23551_1 has been deleted by kgv.

SHA-1: a521a102e7c02a93381eb9028d3505164218ddc2
(0063635)
git (administrator)
2017-02-08 11:40

Branch CR23551 has been deleted by kgv.

SHA-1: 85e733cb2b6fc3830a71d8f84f77db5b8cc52c52

- Related Changesets
occt: master 59edf905
Timestamp: 2014-11-06 09:39:12
Author: ski
Committer: apn
Details ] Diff ]
0023551: Move data models contained in samples subfolder of OCCT repository to common data folder

Data files from mfc samples were moved to $CASROOT/data directory.
rm - data/images/hlr.xwd Diff ] File ]
rm - data/images/Image.xwd Diff ] File ]
mod - samples/mfc/standard/01_Geometry/src/GeometryDoc.cpp Diff ] File ]
mod - samples/mfc/standard/02_Modeling/src/ModelingDoc.cpp Diff ] File ]
mod - samples/mfc/standard/03_Viewer2d/src/Viewer2dDoc.cpp Diff ] File ]
mod - samples/mfc/standard/05_ImportExport/src/ImportExportApp.cpp Diff ] File ]
rm - samples/mfc/standard/09_Animation/data/hammer.brep Diff ] File ]
mod - samples/mfc/standard/09_Animation/src/AnimationDoc.cpp Diff ] File ]
rm - samples/mfc/standard/Data/asahi.brep Diff ] File ]
rm - samples/mfc/standard/Data/Aus.xwd Diff ] File ]
rm - samples/mfc/standard/Data/bearing.iges Diff ] File ]
rm - samples/mfc/standard/Data/Box.brep Diff ] File ]
rm - samples/mfc/standard/Data/Face.BRep Diff ] File ]
rm - samples/mfc/standard/Data/hammer.brep Diff ] File ]
rm - samples/mfc/standard/Data/hammer.iges Diff ] File ]
rm - samples/mfc/standard/Data/Image.xwd Diff ] File ]
rm - samples/mfc/standard/Data/ImportExport1 Diff ] File ]
rm - samples/mfc/standard/Data/ImportExport2 Diff ] File ]
rm - samples/mfc/standard/Data/ImportExport3 Diff ] File ]
rm - samples/mfc/standard/Data/ImportExport4 Diff ] File ]
rm - samples/mfc/standard/Data/linkrods.step Diff ] File ]
rm - samples/mfc/standard/Data/MAT.brep Diff ] File ]
rm - samples/mfc/standard/Data/MAT.pnt Diff ] File ]
rm - samples/mfc/standard/Data/screw.step Diff ] File ]
rm - samples/mfc/standard/Data/SurfaceFromPoints/sol1.dat Diff ] File ]
rm - samples/mfc/standard/Data/SurfaceFromPoints/sol2.dat Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-13 19:27 abv New Issue
2012-11-13 19:27 abv Assigned To => bugmaster
2013-02-28 17:03 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:23 abv Target Version 6.7.0 => 6.7.1
2014-01-11 11:59 abv Category OCCT Release:MFC => OCCT Release:Samples
2014-01-11 12:02 abv Category OCCT Release:Samples => OCCT:Samples
2014-04-04 18:19 abv Target Version 6.7.1 => 6.8.0
2014-10-17 03:17 abv Assigned To bugmaster => apn
2014-10-17 03:17 abv Status new => assigned
2014-10-29 06:51 abv Target Version 6.8.0 => 7.1.0
2014-11-17 13:09 git Note Added: 0034449
2014-11-17 13:16 ski Note Added: 0034451
2014-11-17 13:16 ski Assigned To apn => abv
2014-11-17 13:16 ski Status assigned => resolved
2015-07-27 14:00 kgv Target Version 7.1.0 => 7.0.0
2016-02-08 10:10 abv Target Version 7.0.0 => 7.1.0
2016-11-03 17:13 abv Target Version 7.1.0 => 7.2.0
2017-01-29 08:30 git Note Added: 0063162
2017-01-29 08:32 abv Note Added: 0063163
2017-01-29 08:32 abv Assigned To abv => bugmaster
2017-01-29 08:32 abv Status resolved => reviewed
2017-01-30 14:22 apv Assigned To bugmaster => apv
2017-02-01 15:00 apv Test case number => Not needed
2017-02-01 15:01 apv Note Added: 0063298
2017-02-01 15:02 apv Note Added: 0063299
2017-02-01 15:02 apv Assigned To apv => bugmaster
2017-02-01 15:02 apv Status reviewed => tested
2017-02-03 16:52 apn Changeset attached => occt master 59edf905
2017-02-03 16:52 apn Assigned To bugmaster => apn
2017-02-03 16:52 apn Status tested => verified
2017-02-03 16:52 apn Resolution open => fixed
2017-02-08 11:35 git Note Added: 0063580
2017-02-08 11:40 git Note Added: 0063635
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker